%{?nodejs_find_provides_and_requires}

%global packagename d
%global enable_tests 0
# tests disabled due to missing npm(tad) test suite, which has a dependency on
# this package

# also if you try to import the package, you get into circular bootstrap
# issues.  d includes packages which include d.  Everything works unless
# you have a broken package.

Name:		nodejs-d
Version:	1.0.1
Release:	%mkrel 3
Group:          Development/Other
Summary:	Property descriptor factory

License:	MIT
URL:		https://github.com/medikoo/d.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:  npm(es5-ext)
BuildRequires:	npm(tad)
%endif

%description
Property descriptor factory

%prep
%setup -q -n package
%nodejs_fixdep type ~2.0.0
%nodejs_fixdep es5-ext ~0.10.12

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%{_bindir}/tad
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md CHANGES
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Tue May 05 2020 joequant <joequant> 1.0.1-3.mga8
+ Revision: 1580624
- fix node deps
- update to 1.0.1
- update to 1.0.1
- downgrade
- downgrade from 1.0.0

* Tue May 05 2020 joequant <joequant> 1.0.1-2.mga8
+ Revision: 1580461
- include comment about circular bootstrap

* Tue May 05 2020 joequant <joequant> 1.0.1-1.mga8
+ Revision: 1580452
- update to not do include check
- redo deps
- redo deps
- redo deps
- redo deps
- update deps

* Wed Feb 12 2020 umeabot <umeabot> 1.0.0-5.mga8
+ Revision: 1492466
- Mageia 8 Mass Rebuild
+ pterjan <pterjan>
- Drop ExclusiveArch preventing building this noarch package on aarch64 machines

* Wed Sep 19 2018 umeabot <umeabot> 1.0.0-4.mga7
+ Revision: 1264845
- Mageia 7 Mass Rebuild

* Tue May 17 2016 neoclust <neoclust> 1.0.0-3.mga6
+ Revision: 1016431
- imported package nodejs-d

